<?php

namespace ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfGonderiParca ArrayType
 * @subpackage Arrays
 */
class ArrayOfGonderiParca extends AbstractStructArrayBase
{
    /**
     * The GonderiParca
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \StructType\GonderiParca[]
     */
    public $GonderiParca;
    /**
     * Constructor method for ArrayOfGonderiParca
     * @uses ArrayOfGonderiParca::setGonderiParca()
     * @param \StructType\GonderiParca[] $gonderiParca
     */
    public function __construct(array $gonderiParca = array())
    {
        $this
            ->setGonderiParca($gonderiParca);
    }
    /**
     * Get GonderiParca value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \StructType\GonderiParca[]|null
     */
    public function getGonderiParca()
    {
        return isset($this->GonderiParca) ? $this->GonderiParca : null;
    }
    /**
     * This method is responsible for validating the values passed to the setGonderiParca method
     * This method is willingly generated in order to preserve the one-line inline validation within the setGonderiParca method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validateGonderiParcaForArrayConstraintsFromSetGonderiParca(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfGonderiParcaGonderiParcaItem) {
            // validation for constraint: itemType
            if (!$arrayOfGonderiParcaGonderiParcaItem instanceof \StructType\GonderiParca) {
                $invalidValues[] = is_object($arrayOfGonderiParcaGonderiParcaItem) ? get_class($arrayOfGonderiParcaGonderiParcaItem) : sprintf('%s(%s)', gettype($arrayOfGonderiParcaGonderiParcaItem), var_export($arrayOfGonderiParcaGonderiParcaItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The GonderiParca property can only contain items of type \StructType\GonderiParca, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set GonderiParca value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \StructType\GonderiParca[] $gonderiParca
     * @return \ArrayType\ArrayOfGonderiParca
     */
    public function setGonderiParca(array $gonderiParca = array())
    {
        // validation for constraint: array
        if ('' !== ($gonderiParcaArrayErrorMessage = self::validateGonderiParcaForArrayConstraintsFromSetGonderiParca($gonderiParca))) {
            throw new \InvalidArgumentException($gonderiParcaArrayErrorMessage, __LINE__);
        }
        if (is_null($gonderiParca) || (is_array($gonderiParca) && empty($gonderiParca))) {
            unset($this->GonderiParca);
        } else {
            $this->GonderiParca = $gonderiParca;
        }
        return $this;
    }
    /**
     * Add item to GonderiParca value
     * @throws \InvalidArgumentException
     * @param \StructType\GonderiParca $item
     * @return \ArrayType\ArrayOfGonderiParca
     */
    public function addToGonderiParca(\StructType\GonderiParca $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \StructType\GonderiParca) {
            throw new \InvalidArgumentException(sprintf('The GonderiParca property can only contain items of type \StructType\GonderiParca, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->GonderiParca[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \StructType\GonderiParca|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \StructType\GonderiParca|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \StructType\GonderiParca|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \StructType\GonderiParca|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \StructType\GonderiParca|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string GonderiParca
     */
    public function getAttributeName()
    {
        return 'GonderiParca';
    }
}
