<?php

namespace ServiceType;

use \WsdlToPhp\PackageBase\AbstractSoapClientBase;

/**
 * This class stands for Gelecek ServiceType
 * @subpackage Services
 */
class Gelecek extends AbstractSoapClientBase
{
    /**
     * Method to call the operation originally named GelecekIadeSiparisKayit
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GelecekIadeSiparisKayit $parameters
     * @return \StructType\GelecekIadeSiparisKayitResponse|bool
     */
    public function GelecekIadeSiparisKayit(\StructType\GelecekIadeSiparisKayit $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GelecekIadeSiparisKayit($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GelecekGonderiKayit
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GelecekGonderiKayit $parameters
     * @return \StructType\GelecekGonderiKayitResponse|bool
     */
    public function GelecekGonderiKayit(\StructType\GelecekGonderiKayit $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GelecekGonderiKayit($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GelecekIadeSiparisIptali
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GelecekIadeSiparisIptali $parameters
     * @return \StructType\GelecekIadeSiparisIptaliResponse|bool
     */
    public function GelecekIadeSiparisIptali(\StructType\GelecekIadeSiparisIptali $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GelecekIadeSiparisIptali($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Method to call the operation originally named GelecekIadeSiparisKontrol
     * @uses AbstractSoapClientBase::getSoapClient()
     * @uses AbstractSoapClientBase::setResult()
     * @uses AbstractSoapClientBase::getResult()
     * @uses AbstractSoapClientBase::saveLastError()
     * @param \StructType\GelecekIadeSiparisKontrol $parameters
     * @return \StructType\GelecekIadeSiparisKontrolResponse|bool
     */
    public function GelecekIadeSiparisKontrol(\StructType\GelecekIadeSiparisKontrol $parameters)
    {
        try {
            $this->setResult($this->getSoapClient()->GelecekIadeSiparisKontrol($parameters));
            return $this->getResult();
        } catch (\SoapFault $soapFault) {
            $this->saveLastError(__METHOD__, $soapFault);
            return false;
        }
    }
    /**
     * Returns the result
     * @see AbstractSoapClientBase::getResult()
     * @return \StructType\GelecekGonderiKayitResponse|\StructType\GelecekIadeSiparisIptaliResponse|\StructType\GelecekIadeSiparisKayitResponse|\StructType\GelecekIadeSiparisKontrolResponse
     */
    public function getResult()
    {
        return parent::getResult();
    }
}
